%define upstream_name    CGI-Lite
%define upstream_version 3.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CGI-Lite module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module can be used to decode form and query information, including file
uploads, as well as cookies in a very simple manner; you need not concern
yourself with the actual details behind the decoding process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/CGI/Lite.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 3.10.0-2.mga6
+ Revision: 1023813
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 3.10.0-1.mga6
+ Revision: 1001442
- update to 3.01

* Fri Feb 19 2016 umeabot <umeabot> 3.0.0-2.mga6
+ Revision: 967889
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 3.0.0-1.mga6
+ Revision: 850475
- update to 3.00

* Wed Oct 15 2014 umeabot <umeabot> 2.40.0-3.mga5
+ Revision: 749159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.40.0-2.mga5
+ Revision: 683648
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 2.40.0-1.mga5
+ Revision: 650381
- update to 2.04

* Tue May 27 2014 sander85 <sander85> 2.30.0-1.mga5
+ Revision: 626960
- update to 2.03

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 509351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 363536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.20.0-1.mga1
+ Revision: 26189
- no meta.yml
- mageia rebuild
- imported package perl-CGI-Lite


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.20.0-1mdv2010.0
+ Revision: 406868
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.02-5mdv2009.0
+ Revision: 255774
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-3mdv2008.1
+ Revision: 136905
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.02-2mdv2007.0
+ Revision: 73387
- import perl-CGI-Lite-2.02-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.02-2mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.02-1mdk
- initial Mandriva package

